Subject: bug#7555: 24.0.50; (elisp) bad organization - Frames submenus

From: "Drew Adams" <[email-masked]>
Date: Sat, 4 Dec 2010 10:24:47 -0800

All kinds of stuff has been stuffed under the `Frames' node - stuff that
has nothing particular to do with frames.  This stuff should be placed
elsewhere.
 
Examples:
 
Mouse Tracking - maybe put it with other mouse stuff
Mouse Position -    "                          "
Pop-Up Menus   - put it with other menu stuff
                 It has nothing to do with frames, apart from the fact
                 that the implementation might involve frames.
Dialog Boxes   - maybe put it with menu or `interactive' stuff
                 Again, it has nothing to do with frames apart from
                 implementation.
Pointer Shape  - put it with other mouse stuff
Window System Selections - put it with selection/region stuff
Drag and Drop  - put it with copy/paste stuff
Color Names    - again, has nothing to do with frames
Text Terminal Colors - ditto
Resources      - resources can be anything, not just frame parameters
Display Feature Testing - similar to resources - this is about
                 display/system properties, not about Emacs frames
 
This is a terrible mess.  It confuses users wrt what Emacs frames are
all about.  You might just as well stuff all this stuff in the section
about Emacs faces or the region - that makes about as much sense (none).
 
In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-30 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'